Subject: RE: [SIP] geographical location/SIP Mobility

From: "Roy, Radhika R, ALCOO" <[email-masked]>
Date: Fri, 23 Feb 2001 10:39:45 -0500

Hi, Everyone:

Let me propose the following to deal with 3GPP in SIP WG:

1. Let the 3GPP folks propose their requirements what need to be done in SIP
based on the detail specs that they are developing (or they might have
already developed).
2. People in the SIP WG can then see whether any extensions are needed in
SIP to meet those requirements. (Most of the time, I have seen that no
extension is needed - it is just a matter of implementation.)
3. Let us examine how 3GPP's requirements differ with respect to some of the
I-Ds that are already there to deal with SIP mobility. 

In this way, we, in SIP WG, can have more focused discussion to meet 3GPP
requirements. I am still struggling to understand what are the actual
requirements that SIP does not currently have in the context of the 3GPP's
SIP-specific implementation architecture.

It will also help us to address all mobility related problems together
seeing the big picture: Cellular wireless-, LAN wireless-, and/or
wireline-mobility.

Best regards,
Radhika R. Roy

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, February 23, 2001 5:29 AM
To: Janak Mehta
Cc: Henning Schulzrinne; [email-masked]
Subject: Re: [SIP] geographical location

Well, it is a long time since i do not follow SIP drafts, so maybe i am
talking about something already defined. Sorry if so.

There are at least two features involved, one is a specific header for
location information. It would be similar to GSM, which includes in every
call establishment information related to the cell the call is "sent" from.
It is a sort of location information, and currently most of the
call-related location services are based on this cell-info. I presume
probably 3GPP would require a SIP specific header for this purpose , also.

The second feature is how to handle the delivery of "location change" in a
not-call related basis. This problem (and also the presence information
delivery) will be faced by CAMEL Phase 3 (see 3GPP TS 23.078) by defining a
subscriber category (M-CSI) which is stored in the user profile in HLR and
also in the visited MSC-VLR. This category includes different triggers,
such as
* Location update in the same VLR service area
* Location update in another VLR service area
* IMSI attach, i.e. 1st REGISTER from the UA)
* MS initiated IMSI attach (explicit detach), i.e. un-REGISTER
* Network initiated IMSI detach (implicit detach), i.e. the UA does not
send another REGISTER in the specified time
So it is the MSC-VLR (visited SIP server, I think) the one that generates
such information from the one generated by the UA itself.
Seems that your extension in the NOTIFY behaviour is a sort of Location
update in the cellular environment. The difference is that in the cellular
environment this Location Update procedure is standardised, but i am not
sure your NOTIFY extension would be covered by all UAs. See also that CAMEL
Phase 1 is the one currently deployed in GSM networks, so it will take some
time to see CAMEL Phase 3 running

hope this helps

-----------------------------< O >-----------------------------------
Javier Ferreiro Garcia
Telefonica Moviles Spain
Consultant
Dpto. de Desarrollo de Mercado
Voice Services Unit
    Telf.: +34 630 00 43 13
-----------------------------< O >-----------------------------------

>I will be sending out a brief note on this topic early next week.
>However, you're probably looking at extensions of the presence format,
>rather than a SIP extension.

>Janak Mehta wrote:
>>
>> Hi,
>>
>> I'm extending SIP to provide geographical location of the mobile
>> host within Wireless LAN. Basically I'm trying to send geographical
>> location with presence information like "Online/Offline/Away" through
>> NOTIFY method to subscriber of that particular presentity.
>>
>> I want to update(NOTIFY) all the subscibers of the particular presentity
>> when that presentity moves within campus.
>>
>> Is there any defined header in sip through which I can send geo-
>> graphical location in NOTIFY method?
>>
>> Can someone send me some pointers if work is already been done?
>>
>> Thanks,
>> Janak
>>
>> --------------------------------------------
>> Janak S. Mehta
>> Information Networking Institute
>> Carnegie Mellon University
>> Hamburg Hall, Room No A020,
>> 4800 Forbes Avenue,
>> Pittsburgh, PA 15213.
>>

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to
[email-masked] with "subscribe" in the body.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.